// Code generated by protoc-gen-go. DO NOT EDIT.
// source: addressbook.proto

package main

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import timestamp "github.com/golang/protobuf/ptypes/timestamp"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type Person_PhoneType int32

const (
	Person_MOBILE Person_PhoneType = 0
	Person_HOME   Person_PhoneType = 1
	Person_WORK   Person_PhoneType = 2
)

var Person_PhoneType_name = map[int32]string{
	0: "MOBILE",
	1: "HOME",
	2: "WORK",
}
var Person_PhoneType_value = map[string]int32{
	"MOBILE": 0,
	"HOME":   1,
	"WORK":   2,
}

func (x Person_PhoneType) String() string {
	return proto.EnumName(Person_PhoneType_name, int32(x))
}
func (Person_PhoneType) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_addressbook_eeb3f5e7df471e14, []int{0, 0}
}

type Person struct {
	Name                 string                `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Id                   int32                 `protobuf:"varint,2,opt,name=id,proto3" json:"id,omitempty"`
	Email                string                `protobuf:"bytes,3,opt,name=email,proto3" json:"email,omitempty"`
	Phones               []*Person_PhoneNumber `protobuf:"bytes,4,rep,name=phones,proto3" json:"phones,omitempty"`
	LastUpdated          *timestamp.Timestamp  `protobuf:"bytes,5,opt,name=last_updated,json=lastUpdated,proto3" json:"last_updated,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *Person) Reset()         { *m = Person{} }
func (m *Person) String() string { return proto.CompactTextString(m) }
func (*Person) ProtoMessage()    {}
func (*Person) Descriptor() ([]byte, []int) {
	return fileDescriptor_addressbook_eeb3f5e7df471e14, []int{0}
}
func (m *Person) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Person.Unmarshal(m, b)
}
func (m *Person) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Person.Marshal(b, m, deterministic)
}
func (dst *Person) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Person.Merge(dst, src)
}
func (m *Person) XXX_Size() int {
	return xxx_messageInfo_Person.Size(m)
}
func (m *Person) XXX_DiscardUnknown() {
	xxx_messageInfo_Person.DiscardUnknown(m)
}

var xxx_messageInfo_Person proto.InternalMessageInfo

func (m *Person) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Person) GetId() int32 {
	if m != nil {
		return m.Id
	}
	return 0
}

func (m *Person) GetEmail() string {
	if m != nil {
		return m.Email
	}
	return ""
}

func (m *Person) GetPhones() []*Person_PhoneNumber {
	if m != nil {
		return m.Phones
	}
	return nil
}

func (m *Person) GetLastUpdated() *timestamp.Timestamp {
	if m != nil {
		return m.LastUpdated
	}
	return nil
}

type Person_PhoneNumber struct {
	Number               string           `protobuf:"bytes,1,opt,name=number,proto3" json:"number,omitempty"`
	Type                 Person_PhoneType `protobuf:"varint,2,opt,name=type,proto3,enum=main.Person_PhoneType" json:"type,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *Person_PhoneNumber) Reset()         { *m = Person_PhoneNumber{} }
func (m *Person_PhoneNumber) String() string { return proto.CompactTextString(m) }
func (*Person_PhoneNumber) ProtoMessage()    {}
func (*Person_PhoneNumber) Descriptor() ([]byte, []int) {
	return fileDescriptor_addressbook_eeb3f5e7df471e14, []int{0, 0}
}
func (m *Person_PhoneNumber) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Person_PhoneNumber.Unmarshal(m, b)
}
func (m *Person_PhoneNumber) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Person_PhoneNumber.Marshal(b, m, deterministic)
}
func (dst *Person_PhoneNumber) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Person_PhoneNumber.Merge(dst, src)
}
func (m *Person_PhoneNumber) XXX_Size() int {
	return xxx_messageInfo_Person_PhoneNumber.Size(m)
}
func (m *Person_PhoneNumber) XXX_DiscardUnknown() {
	xxx_messageInfo_Person_PhoneNumber.DiscardUnknown(m)
}

var xxx_messageInfo_Person_PhoneNumber proto.InternalMessageInfo

func (m *Person_PhoneNumber) GetNumber() string {
	if m != nil {
		return m.Number
	}
	return ""
}

func (m *Person_PhoneNumber) GetType() Person_PhoneType {
	if m != nil {
		return m.Type
	}
	return Person_MOBILE
}

// Our address book file is just one of these.
type AddressBook struct {
	People               []*Person `protobuf:"bytes,1,rep,name=people,proto3" json:"people,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-"`
	XXX_unrecognized     []byte    `json:"-"`
	XXX_sizecache        int32     `json:"-"`
}

func (m *AddressBook) Reset()         { *m = AddressBook{} }
func (m *AddressBook) String() string { return proto.CompactTextString(m) }
func (*AddressBook) ProtoMessage()    {}
func (*AddressBook) Descriptor() ([]byte, []int) {
	return fileDescriptor_addressbook_eeb3f5e7df471e14, []int{1}
}
func (m *AddressBook) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddressBook.Unmarshal(m, b)
}
func (m *AddressBook) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddressBook.Marshal(b, m, deterministic)
}
func (dst *AddressBook) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddressBook.Merge(dst, src)
}
func (m *AddressBook) XXX_Size() int {
	return xxx_messageInfo_AddressBook.Size(m)
}
func (m *AddressBook) XXX_DiscardUnknown() {
	xxx_messageInfo_AddressBook.DiscardUnknown(m)
}

var xxx_messageInfo_AddressBook proto.InternalMessageInfo

func (m *AddressBook) GetPeople() []*Person {
	if m != nil {
		return m.People
	}
	return nil
}

func init() {
	proto.RegisterType((*Person)(nil), "main.Person")
	proto.RegisterType((*Person_PhoneNumber)(nil), "main.Person.PhoneNumber")
	proto.RegisterType((*AddressBook)(nil), "main.AddressBook")
	proto.RegisterEnum("main.Person_PhoneType", Person_PhoneType_name, Person_PhoneType_value)
}

func init() { proto.RegisterFile("addressbook.proto", fileDescriptor_addressbook_eeb3f5e7df471e14) }

var fileDescriptor_addressbook_eeb3f5e7df471e14 = []byte{
	// 307 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x64, 0x90, 0xcd, 0x4a, 0xc3, 0x40,
	0x10, 0x80, 0x4d, 0x9a, 0x06, 0x3b, 0x29, 0xa5, 0x0e, 0x52, 0x42, 0x2f, 0x86, 0xe2, 0x21, 0x28,
	0x6c, 0xa5, 0x3d, 0x7b, 0xb0, 0x50, 0x50, 0xb4, 0xb6, 0x2e, 0x15, 0x8f, 0xb2, 0x21, 0x63, 0x0d,
	0x4d, 0xb2, 0x4b, 0x7e, 0x0e, 0x7d, 0x2e, 0x5f, 0x50, 0xb2, 0x9b, 0x4a, 0xc1, 0xdb, 0xfc, 0x7c,
	0xcc, 0x7c, 0x33, 0x70, 0x21, 0xe2, 0xb8, 0xa0, 0xb2, 0x8c, 0xa4, 0xdc, 0x33, 0x55, 0xc8, 0x4a,
	0xa2, 0x93, 0x89, 0x24, 0x1f, 0x5f, 0xed, 0xa4, 0xdc, 0xa5, 0x34, 0xd5, 0xb5, 0xa8, 0xfe, 0x9a,
	0x56, 0x49, 0x46, 0x65, 0x25, 0x32, 0x65, 0xb0, 0xc9, 0x8f, 0x0d, 0xee, 0x86, 0x8a, 0x52, 0xe6,
	0x88, 0xe0, 0xe4, 0x22, 0x23, 0xdf, 0x0a, 0xac, 0xb0, 0xc7, 0x75, 0x8c, 0x03, 0xb0, 0x93, 0xd8,
	0xb7, 0x03, 0x2b, 0xec, 0x72, 0x3b, 0x89, 0xf1, 0x12, 0xba, 0x94, 0x89, 0x24, 0xf5, 0x3b, 0x1a,
	0x32, 0x09, 0xde, 0x81, 0xab, 0xbe, 0x65, 0x4e, 0xa5, 0xef, 0x04, 0x9d, 0xd0, 0x9b, 0xf9, 0xac,
	0x59, 0xce, 0xcc, 0x5c, 0xb6, 0x69, 0x5a, 0xaf, 0x75, 0x16, 0x51, 0xc1, 0x5b, 0x0e, 0xef, 0xa1,
	0x9f, 0x8a, 0xb2, 0xfa, 0xac, 0x55, 0x2c, 0x2a, 0x8a, 0xfd, 0x6e, 0x60, 0x85, 0xde, 0x6c, 0xcc,
	0x8c, 0x2e, 0x3b, 0xea, 0xb2, 0xed, 0x51, 0x97, 0x7b, 0x0d, 0xff, 0x6e, 0xf0, 0xf1, 0x1b, 0x78,
	0x27, 0x53, 0x71, 0x04, 0x6e, 0xae, 0xa3, 0xd6, 0xbd, 0xcd, 0xf0, 0x06, 0x9c, 0xea, 0xa0, 0x48,
	0xfb, 0x0f, 0x66, 0xa3, 0xff, 0x56, 0xdb, 0x83, 0x22, 0xae, 0x99, 0xc9, 0x2d, 0xf4, 0xfe, 0x4a,
	0x08, 0xe0, 0xae, 0xd6, 0x8b, 0xa7, 0x97, 0xe5, 0xf0, 0x0c, 0xcf, 0xc1, 0x79, 0x5c, 0xaf, 0x96,
	0x43, 0xab, 0x89, 0x3e, 0xd6, 0xfc, 0x79, 0x68, 0x4f, 0xe6, 0xe0, 0x3d, 0x98, 0x8f, 0x2f, 0xa4,
	0xdc, 0xe3, 0x35, 0xb8, 0x8a, 0xa4, 0x4a, 0x9b, 0xdf, 0x35, 0xf7, 0xf7, 0x4f, 0x37, 0xf1, 0xb6,
	0x17, 0xb9, 0xfa, 0xaa, 0xf9, 0x6f, 0x00, 0x00, 0x00, 0xff, 0xff, 0xa8, 0x22, 0x53, 0x1b, 0xad,
	0x01, 0x00, 0x00,
}
